Subject: Re: [PATCH 1/2] rtc: rtc-ds1374: fix 'no irq' case handling

From: Peter Korsgaard <[email-masked]>
Date: Tue, 19 Aug 2008 22:01:37 +0200

>>>>> "Anton" == Anton Vorontsov <[email-masked]> writes:

 Anton> On a PowerPC board with ds1374 RTC I'm getting this error while
 Anton> RTC tries to probe:

 Anton> rtc-ds1374 0-0068: unable to request IRQ

 Anton> This happens because I2C probing code (drivers/of/of_i2c.c) is
 Anton> specifying IRQ0 for 'no irq' case, which is correct.

 Anton> The driver handles this incorrectly, though. This patch fixes it.

Great, I was just about to send a similar patch. Another advantage of
using 0 for 'no irq' is for I2C_BOARD_INFO(). With that you can simply
not assign anything to .irq instead of having to set it to -1.

Acked-by: Peter Korsgaard <[email-masked]>

-- 
Bye, Peter Korsgaard